<?php
/* @var $this USUARISController */
/* @var $model USUARIS */
/* @var $form CActiveForm */
?>

<div class="form">

<?php $form=$this->beginWidget('CActiveForm', array(
	'id'=>'usuaris-form',
	// Please note: When you enable ajax validation, make sure the corresponding
	// controller action is handling ajax validation correctly.
	// There is a call to performAjaxValidation() commented in generated controller code.
	// See class documentation of CActiveForm for details on this.
	'enableAjaxValidation'=>false,
)); ?>

	<p class="note">Els camps amb <span class="required">*</span> són necessaris.</p>

	<?php echo $form->errorSummary($model); ?>

	<div class="row">
		<?php echo $form->labelEx($model,'Usuari'); ?>
		<?php echo $form->textField($model,'Usuari',array('size'=>10,'maxlength'=>10)); ?>
		<?php echo $form->error($model,'Usuari'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'Contrasenya'); ?>
		<?php echo $form->textField($model,'Contrasenya',array('size'=>25,'maxlength'=>25)); ?>
		<?php echo $form->error($model,'Contrasenya'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'Poder'); ?>
		<?php echo $form->dropDownList($model,'Poder',array('Normal'=>'Normal','Administrador'=>'Administrador'),array('empty'=>"Seleciona Poder")); ?>
		<?php echo $form->error($model,'Poder'); ?>
	</div>

	<div class="row buttons">
		<?php echo CHtml::submitButton($model->isNewRecord ? 'Crear' : 'Guardar'); ?>
	</div>

<?php $this->endWidget(); ?>

</div><!-- form -->
