<?php
//$this: SiteController
//$model: METEO

Yii::app()->clientScript->registerScript('search', "
$('.search-button').click(function(){
	$('.search-form').toggle();
	return false;
});
$('.search-form form').submit(function(){
	$('#meteo-grid').yiiGridView('update', {
		data: $(this).serialize()
	});
	return false;
});
");
?>

<div class="navbar">
	<div class="navbar-inner">
     	<h1 class = "subnav-fixed-top" >Dades Meteo</h1>
	</div>
</div>
<p style ='position:relative; top:1em;'),>
	<?php 
	echo CHtml::button('Informacó sobre la base de dades',array('onclick'=>'js:document.location.href="DownloadInfo?data=Meteo"'));
	;?>
</p>
<?php 
$widthD = '100px';
$width = '50px';
$textalign='center';
	$this->widget('zii.widgets.grid.CGridView', array(
	'id'=>'meteo-grid',
	'cssFile'=>Yii::app()->baseUrl.'/themes/abound/css/styles.css',	
	'dataProvider'=>$model->search(),
	'filter'=>$model,
	'summaryText'  => '{start} - {end} / {count}',
	'columns'=>array(
		array(
			'name' => 'UTCData',
			'htmlOptions' => array(
				'style' => 'width: '.$widthD.';text-align:'.$textalign.';'),
		),
		array(
			'name' => 'GLO',
			'htmlOptions' => array(
				'style' => 'width: '.$width.';text-align:'.$textalign.';'),
		),
		array(
			'name' => 'DIF',
			'htmlOptions' => array(
				'style' => 'width: '.$width.';text-align:'.$textalign.';'),
		),
		array(
			'name' => 'T_AIR',
			'htmlOptions' => array(
				'style' => 'width: '.$width.';text-align:'.$textalign.';'),
		),
		array(
			'name' => 'RH_AIR',
			'htmlOptions' => array(
				'style' => 'width: '.$width.';text-align:'.$textalign.';'),
		),
		array(
			'name' => 'PRESS',
			'htmlOptions' => array(
				'style' => 'width: '.$width.';text-align:'.$textalign.';'),
		),
		array(
			'name' => 'PREC',
			'htmlOptions' => array(
				'style' => 'width: '.$width.';text-align:'.$textalign.';'),
		),
		array(
			'name' => 'WIND_V',
			'htmlOptions' => array(
				'style' => 'width: '.$width.';text-align:'.$textalign.';'),
		),
		array(
			'name' => 'WIND_D',
			'htmlOptions' => array(
				'style' => 'width: '.$width.';text-align:'.$textalign.';'),
		),
		array(
			'name' => 'Dir_SD',
			'htmlOptions' => array(
				'style' => 'width: '.$width.';text-align:'.$textalign.';'),
		),
	),
)); ?>
<p>	
Gràfic del <?php echo $data[0]['UTCData']?> al <?php echo $data[count($data)-1]['UTCData']?>
</p>
<?php 
foreach ($data as $key=>$dat){
	$temps=$dat['UTCData'];
	$temps=str_replace("-","/",$temps);
	foreach ($dat as $key2=>$d){
		if($key2!='UTCData'){
			$dataaux[$key2][]=array($temps,$d);
		}
	}
}
$i=0;

foreach ($dataaux as $key=>$graph){
unset($min);
unset($max);
$graph2=$graph;
	for ($i=0;$i<count($graph);$i++){
		$graph[$i]=$graph2[count($graph2)-1-$i];
	}
	foreach($graph as $inf){
		if(isset($min)){
			if($inf[1]<$min){
				$min=$inf[1];
			}
		} else {
			$min=$inf[1];
		}
		if(isset($max)){
			if($inf[1]>$max){
				$max=$inf[1];
			}
		} else {
			$max=$inf[1];
		}
	}
	if($min>0){
		$min=$min*0.8;
	} else {
		$min=$min*1.1;
	}
	if($max>0){
		$max=$max*1.1;
	} else {
		$max=$max*0.8;
	}
	if($min==$max&&$max==0){
		$min=-1;
		$max=1;
	}
	$this->widget('ext.dygraphswidget.DygraphsWidget',array(
			'data'=>$graph,
			'xIsDate'=>true,
			
			'options'=>array(
					'title'=>$key,
					'valueRange'=>array($min,$max),
				),
			'htmlOptions' => array(
					'style' => 'width: 50%; height:200px;display: inline-block;'
			),
	));
}
?>
