<?php
/* @var $this SiteController */
/* @var $models SENSORS */
if(CHttpRequest::getUserHostAddress()=='127.0.0.1'||Yii::app()->user->id=='Administrador'){
	$this->menu=array(
//			array('label'=>'Afegir nou Sensor', 'url'=>array('SensorsCreate')),
			array('label'=>'Afegir Correu', 'url'=>array('CorreusCreate')),
	);
} 

Yii::app()->clientScript->registerScript('search', "
$('.search-button').click(function(){
	$('.search-form').toggle();
	return false;
});
$('.search-form form').submit(function(){
	$('#sensors-grid').yiiGridView('update', {
		data: $(this).serialize()
	});
	return false;
});
");
?>
<div class="navbar">
		<div class="navbar-inner">
	     	<h1 class = "subnav-fixed-top" >Sensors del Meshlium</h1>
	</div>
</div>

<?php $textalign='center';
$this->widget('zii.widgets.grid.CGridView', array(
	'id'=>'sensors-grid',
	'cssFile'=>Yii::app()->baseUrl.'/themes/abound/css/styles.css',
	'dataProvider'=>$models->search(),
	'filter'=>$models,
	'columns'=>array(
		array(
			'name' => 'Sensor',
			'htmlOptions' => array(
				'style' => 'width: 80px;text-align:'.$textalign.';'),
		),
		array(
				'name' => 'altMAC',
				'htmlOptions' => array(
						'style' => 'width: 80px;text-align:'.$textalign.';'),
		),
		array(
				'name' => 'baixMAC',
				'htmlOptions' => array(
						'style' => 'width: 80px;text-align:'.$textalign.';'),
		),
		array(
				'name' => 'Bateria',
				'htmlOptions' => array(
						'style' => 'width: 80px;text-align:'.$textalign.';'),
		),
		
		
		array(
			'class'=>'CButtonColumn',
			'template'=>'{update}',
			'visible'=>CHttpRequest::getUserHostAddress()=='127.0.0.1'||Yii::app()->user->id=='Administrador',
			'buttons'=>array(
					'update'=>array(
							'url'=>'Yii::app()->createUrl("site/SensorsUpdate", array("id"=>$data->primaryKey))',	
							),
					),
			),
	),
)); ?>

<?php 
if(CHttpRequest::getUserHostAddress()=='127.0.0.1'||Yii::app()->user->id=='Administrador'){

 echo '<div class="navbar">
	<div class="navbar-inner">
     	<h1 class = "subnav-fixed-top" >Correus avis Meshlium</h1>
	</div>
</div>';

$this->widget('zii.widgets.grid.CGridView', array(
	'id'=>'correus-grid',
	'cssFile'=>Yii::app()->baseUrl.'/themes/abound/css/styles.css',
	'dataProvider'=>$modelc->search(),
	'filter'=>$modelc,
	'columns'=>array(
		'Nom',
		'correu',
		'Nivell_Bat',
		array(
			'class'=>'CButtonColumn',
			'template'=>'{update},{delete}',
			'buttons'=>array(
					'update'=>array(
							'url'=>'Yii::app()->createUrl("site/CorreuUpdate", array("id"=>$data->primaryKey))',
							),
 					'delete'=>array(
 							'url'=>'Yii::app()->createUrl("site/CorreuDelete", array("id"=>$data->primaryKey))',
 							),
					),
			),
	),
));
} ?>

<div class="navbar">
	<div class="navbar-inner">
     	<h1 class = "subnav-fixed-top">Bateria</h1>
	</div>
</div>
<?php 
$textalign='center';
$this->widget('zii.widgets.grid.CGridView', array(
	'id'=>'b-grid',
	'cssFile'=>Yii::app()->baseUrl.'/themes/abound/css/styles.css',
	'dataProvider'=>$modelb->search(),
	'filter'=>$modelb,
	'columns'=>array(
		array(
			'name' => 'UTCData',
			'htmlOptions' => array(
				'style' => 'width: 80px;text-align:'.$textalign.';'),
		),
		array(
				'name' => 'S1',
				'htmlOptions' => array(
						'style' => 'width: 80px;text-align:'.$textalign.';'),
		),
		array(
				'name' => 'S2',
				'htmlOptions' => array(
						'style' => 'width: 80px;text-align:'.$textalign.';'),
		),
		array(
				'name' => 'S3',
				'htmlOptions' => array(
						'style' => 'width: 80px;text-align:'.$textalign.';'),
		),
		array(
				'name' => 'S4',
				'htmlOptions' => array(
						'style' => 'width: 80px;text-align:'.$textalign.';'),
		),
		array(
				'name' => 'S5',
				'htmlOptions' => array(
						'style' => 'width: 80px;text-align:'.$textalign.';'),
		),
		array(
				'name' => 'S6',
				'htmlOptions' => array(
						'style' => 'width: 80px;text-align:'.$textalign.';'),
		),
		array(
				'name' => 'S7',
				'htmlOptions' => array(
						'style' => 'width: 80px;text-align:'.$textalign.';'),
		),
		array(
				'name' => 'S8',
				'htmlOptions' => array(
						'style' => 'width: 80px;text-align:'.$textalign.';'),
		),
	),
)); ?>
	
	<p>	
Gràfic del <?php echo $data[0]['UTCData']?> al <?php echo $data[count($data)-1]['UTCData']?>
</p>
<?php 
foreach ($data as $key=>$dat){
	$temps=$dat['UTCData'];
	$temps=str_replace("-","/",$temps);
	foreach ($dat as $key2=>$d){
		if($key2!='UTCData'){
			$dataaux[$key2][]=array($temps,$d);
		}
	}
}
$i=0;

foreach ($dataaux as $key=>$graph){
unset($min);
unset($max);
	foreach($graph as $inf){
		if(isset($min)){
			if($inf[1]!=null&&$inf[1]<$min){
				$min=$inf[1];
			}
		} else {
			$min=$inf[1];
		}
		if(isset($max)){
			if($inf[1]!=null&&$inf[1]>$max){
				$max=$inf[1];
			}
		} else {
			$max=$inf[1];
		}
	}
	if($min>0){
		$min=$min*0.8;
	} else {
		$min=$min*1.1;
	}
	if($max>0){
		$max=$max*1.1;
	} else {
		$max=$max*0.8;
	}
	if($min==$max&&$max==0){
		$min=-1;
		$max=1;
	}
	$this->widget('ext.dygraphswidget.DygraphsWidget',array(
			'data'=>$graph,
			'xIsDate'=>true,
				
			'options'=>array(
					'title'=>$key,
					'valueRange'=>array($min,$max)
			),
			'htmlOptions' => array(
					'style' => 'width: 50%; height:200px;display: inline-block;'
			),
	));
	}

?>
