<?php

// uncomment the following to define a path alias
// Yii::setPathOfAlias('local','path/to/local-folder');

// This is the main Web application configuration. Any writable
// CWebApplication properties can be configured here.
return array(
	'theme'=>'abound',
	'language'=>'ca',
	'basePath'=>dirname(__FILE__).DIRECTORY_SEPARATOR.'..',
	'name'=>'Bases de dades grup eXiT',
	

	// preloading 'log' component
	'preload'=>array(
			'log',
	),

	// autoloading model and component classes
	'import'=>array(
		'application.models.*',
		'application.components.*',
		'application.extensions.sftp.*',
		'application.extensions.ECSVExport.*',
		'application.extensions.yii-mail.*',
		'application.extensions.phpmailer.*',
	),

	'modules'=>array(
		// uncomment the following to enable the Gii tool
		
		'gii'=>array(
			'class'=>'system.gii.GiiModule',
			'password'=>'hotdog1!',
			// If removed, Gii defaults to localhost only. Edit carefully to taste.
			'ipFilters'=>array('127.0.0.1','::1'),
		),
		
	),

	// application components
	'components'=>array(
		'user'=>array(
			// enable cookie-based authentication
			'allowAutoLogin'=>true,
		),

		// uncomment the following to enable URLs in path-format
		'urlManager'=>array(
				'urlFormat'=>'path',
				'showScriptName'=>false,
				'rules'=>array(
						'<controller:\w+>/<id:\d+>'=>'<controller>/view',
						'<controller:\w+>/<action:\w+>/<id:\d+>'=>'<controller>/<action>',
						'<controller:\w+>/<action:\w+>'=>'<controller>/<action>',
						'user/'
				),
		),
		

		// database settings are configured in database.php
		'db'=>require(dirname(__FILE__).'/database.php'),
		'sftp'=> array(
			'class'=>'SftpComponent',
			'host'=>'nimbus.udg.edu',
			'port'=>2200,
			'username'=>'energia',
			'password'=>'cumulus',
		),
		'meshlium'=>array(
			'class'=>'CDbConnection',
			'connectionString'=>'mysql:host=84.88.154.153;port=3306;dbname=MeshliumDB',
			'emulatePrepare'=>true,
			'username'=>'root',
			'password'=>'libelium2007',
			'charset'=>'utf8',	
		),
		'energia'=>array(
			'class'=>'CDbConnection',
			'connectionString'=>'dblib:host=192.168.42.20:49170;dbname=ION_Data',
			'username'=>'Report',
			'password'=>'reporter!',
			),
		'smartmeter'=>array(
			'class'=>'SftpComponent',
			'host'=>'84.88.154.8',
			'port'=>12321,
			'username'=>'smartmeter',
			'password'=>'sm@rtm3t3r',
			),

		'errorHandler'=>array(
			// use 'site/error' action to display errors
			'errorAction'=>'site/error',
		),

		'log'=>array(
			'class'=>'CLogRouter',
			'routes'=>array(
					array(
					'class'=>'CFileLogRoute',
					'levels'=>'error, warning',
				),
				// uncomment the following to show log messages on web pages
				
				array(
					'class'=>'CWebLogRoute',
					'categories'=> 'Projecte',
					'levels'=> 'CLogger::LEVEL_PROFILE',
					'showInFireBug'=>true,
					'ignoreAjaxInFireBug'=>true,
				),
				array(
						'class' => 'CWebLogRoute',
						'categories' => 'Projecte',
				),
			),
		),
	),

	// application-level parameters that can be accessed
	// using Yii::app()->params['paramName']
	'params'=>array(
		// this is used in contact page
		'adminEmail'=>'webmaster@example.com',
		'defaultPageSize' => 50,
	),
	'behaviors'=>array(
		'runEnd'=>array(
			'class'=>'application.components.WebApplicationEndBehavior',
		),
	),
);

