<?php
/* @var $this USUARISController */
/* @var $model USUARIS */


$this->menu=array(
	array('label'=>'Crear Usuari nou', 'url'=>array('back/site/CreateUsuaris')),
);

Yii::app()->clientScript->registerScript('search', "
$('.search-button').click(function(){
	$('.search-form').toggle();
	return false;
});
$('.search-form form').submit(function(){
	$('#usuaris-grid').yiiGridView('update', {
		data: $(this).serialize()
	});
	return false;
});
");
?>
 <div class="navbar">
	<div class="navbar-inner">
     	<h1 class = "subnav-fixed-top">Administrar Usuaris</h1>
	</div>
</div>

<?php $this->widget('zii.widgets.grid.CGridView', array(
	'id'=>'usuaris-grid',
	'cssFile'=>Yii::app()->baseUrl.'/themes/abound/css/styles.css',
	'dataProvider'=>$model->search(),
	'filter'=>$model,
	'columns'=>array(
		'ID',
		'Usuari',
		array(
				'name'=>'Contrasenya',
				'value'=>'"**********"'
			),
		'Poder',
		array(
			'class'=>'CButtonColumn',
			'template'=>'{update},{delete}',
			'buttons'=>array(
					'update'=>array(
							'url'=>'Yii::app()->createUrl("back/site/UpdateUsuaris/".($data->primaryKey))',
							),
 					'delete'=>array(
 							'url'=>'Yii::app()->createUrl("back/site/DeleteUsuaris/".($data->primaryKey))',
 							),
					),
			),
	),
)); ?>
